Index: trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- trunk/sources/HeuristicLab 3.3.sln	(revision 2655)
+++ trunk/sources/HeuristicLab 3.3.sln	(revision 2656)
@@ -10,83 +10,66 @@
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab", "HeuristicLab\HeuristicLab.csproj", "{623FB817-8371-4A9A-A491-4DECC87B2BBB}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.PluginInfrastructure", "HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj", "{94186A6A-5176-4402-AE83-886557B53CCA}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence-3.3", "HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj", "{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.GUI-3.3", "HeuristicLab.Persistence.GUI\3.3\HeuristicLab.Persistence.GUI-3.3.csproj", "{A9E282EA-180F-4233-B809-AEDF0787545C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.UnitTest", "HeuristicLab.Persistence\UnitTests\HeuristicLab.Persistence.UnitTest.csproj", "{BF7D9494-A586-457B-8DF9-ED599F9E6A71}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Core-3.3", "HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj", "{C36BD924-A541-4A00-AFA8-41701378DDC5}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Data-3.3", "HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj", "{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Operators-3.3", "HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj", "{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SequentialEngine-3.3", "HeuristicLab.SequentialEngine\3.3\HeuristicLab.SequentialEngine-3.3.csproj", "{DC3D7072-7999-4719-B65D-3997744D5DC1}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Permutation-3.3", "HeuristicLab.Permutation\3.3\HeuristicLab.Permutation-3.3.csproj", "{00282156-589D-424F-9CE4-A8038636C926}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Evolutionary-3.3", "HeuristicLab.Evolutionary\3.3\HeuristicLab.Evolutionary-3.3.csproj", "{25087811-F74C-4128-BC86-8324271DA13E}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Random-3.3", "HeuristicLab.Random\3.3\HeuristicLab.Random-3.3.csproj", "{F4539FB6-4708-40C9-BE64-0A1390AEA197}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection-3.3", "HeuristicLab.Selection\3.3\HeuristicLab.Selection-3.3.csproj", "{2C36CD4F-E5F5-43A4-801A-201EA895FE17}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Charting-3.3", "HeuristicLab.Charting\3.3\HeuristicLab.Charting-3.3.csproj", "{A8265018-D687-4907-8A36-63B25967A038}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Routing.TSP-3.3", "HeuristicLab.Routing.TSP\3.3\HeuristicLab.Routing.TSP-3.3.csproj", "{600287A3-8714-453E-B875-A05F3EB72315}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Charting.Data-3.3", "HeuristicLab.Charting.Data\3.3\HeuristicLab.Charting.Data-3.3.csproj", "{EE956A95-6344-4B01-876F-BE95C5E2F92B}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Logging-3.3", "HeuristicLab.Logging\3.3\HeuristicLab.Logging-3.3.csproj", "{72908B54-D136-4BF2-8474-25AA6CB66C92}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Operators.Programmable-3.3", "HeuristicLab.Operators.Programmable\3.3\HeuristicLab.Operators.Programmable-3.3.csproj", "{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection.OffspringSelection-3.3", "HeuristicLab.Selection.OffspringSelection\3.3\HeuristicLab.Selection.OffspringSelection-3.3.csproj", "{81609E8A-9757-4865-8B89-0B6603F769E8}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA-3.3", "HeuristicLab.SGA\3.3\HeuristicLab.SGA-3.3.csproj", "{4C3305C4-E440-4EAD-B218-68D77AE51543}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.TestFunctions-3.3", "HeuristicLab.TestFunctions\3.3\HeuristicLab.TestFunctions-3.3.csproj", "{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ThreadParallelEngine-3.3", "HeuristicLab.ThreadParallelEngine\3.3\HeuristicLab.ThreadParallelEngine-3.3.csproj", "{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab 3.3", "HeuristicLab 3.3\HeuristicLab 3.3.csproj", "{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}"
 	ProjectSection(ProjectDependencies) = postProject
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC} = {569E430B-B4CE-4B94-A44E-6246B6E4E3BC}
-		{25087811-F74C-4128-BC86-8324271DA13E} = {25087811-F74C-4128-BC86-8324271DA13E}
-		{A8265018-D687-4907-8A36-63B25967A038} = {A8265018-D687-4907-8A36-63B25967A038}
 		{E226881D-315F-423D-B419-A766FE0D8685} = {E226881D-315F-423D-B419-A766FE0D8685}
 		{C36BD924-A541-4A00-AFA8-41701378DDC5} = {C36BD924-A541-4A00-AFA8-41701378DDC5}
-		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6} = {6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB} = {1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1} = {0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}
-		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2} = {55E23C37-F4F8-4B20-89B3-1B8B59050CE2}
-		{2C36CD4F-E5F5-43A4-801A-201EA895FE17} = {2C36CD4F-E5F5-43A4-801A-201EA895FE17}
-		{72908B54-D136-4BF2-8474-25AA6CB66C92} = {72908B54-D136-4BF2-8474-25AA6CB66C92}
-		{00282156-589D-424F-9CE4-A8038636C926} = {00282156-589D-424F-9CE4-A8038636C926}
+		{678E2145-8152-4E19-9646-07D439D00301} = {678E2145-8152-4E19-9646-07D439D00301}
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A} = {3BD61258-31DA-4B09-89C0-4F71FEF5F05A}
 		{C664305E-497C-4533-A140-967DEDB05C19} = {C664305E-497C-4533-A140-967DEDB05C19}
 		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {DC3D7072-7999-4719-B65D-3997744D5DC1}
-		{81609E8A-9757-4865-8B89-0B6603F769E8} = {81609E8A-9757-4865-8B89-0B6603F769E8}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
-		{EE956A95-6344-4B01-876F-BE95C5E2F92B} = {EE956A95-6344-4B01-876F-BE95C5E2F92B}
-		{600287A3-8714-453E-B875-A05F3EB72315} = {600287A3-8714-453E-B875-A05F3EB72315}
-		{F4539FB6-4708-40C9-BE64-0A1390AEA197} = {F4539FB6-4708-40C9-BE64-0A1390AEA197}
+		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6} = {958B43BC-CC5C-4FA2-8628-2B3B01D890B6}
 		{AB687BBE-1BFE-476B-906D-44237135431D} = {AB687BBE-1BFE-476B-906D-44237135431D}
-		{4C3305C4-E440-4EAD-B218-68D77AE51543} = {4C3305C4-E440-4EAD-B218-68D77AE51543}
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1} = {C75532C4-765B-418E-B09B-46D36B2ABDB1}
-		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799} = {C2E99CCE-9FB0-456F-9BA0-57900E4AA799}
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B} = {102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}
 		{EE2034D9-6E27-48A1-B855-42D45F69A4FC} = {EE2034D9-6E27-48A1-B855-42D45F69A4FC}
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140} = {1B3063DB-D71C-4A6A-A359-883E8F53A140}
 		{A9E282EA-180F-4233-B809-AEDF0787545C} = {A9E282EA-180F-4233-B809-AEDF0787545C}
-		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE} = {23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}
-		{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937} = {BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}
 		{1FC004FC-59AF-4249-B1B6-FF25873A20E4} = {1FC004FC-59AF-4249-B1B6-FF25873A20E4}
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.PluginInfrastructure", "HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj", "{94186A6A-5176-4402-AE83-886557B53CCA}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.PluginInfrastructure.GUI", "HeuristicLab.PluginInfrastructure.GUI\HeuristicLab.PluginInfrastructure.GUI.csproj", "{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence-3.3", "HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj", "{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.GUI-3.3", "HeuristicLab.Persistence.GUI\3.3\HeuristicLab.Persistence.GUI-3.3.csproj", "{A9E282EA-180F-4233-B809-AEDF0787545C}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.UnitTest", "HeuristicLab.Persistence\UnitTests\HeuristicLab.Persistence.UnitTest.csproj", "{BF7D9494-A586-457B-8DF9-ED599F9E6A71}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Core-3.3", "HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj", "{C36BD924-A541-4A00-AFA8-41701378DDC5}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Data-3.3", "HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj", "{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Operators-3.3", "HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj", "{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SequentialEngine-3.3", "HeuristicLab.SequentialEngine\3.3\HeuristicLab.SequentialEngine-3.3.csproj", "{DC3D7072-7999-4719-B65D-3997744D5DC1}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Permutation-3.3", "HeuristicLab.Permutation\3.3\HeuristicLab.Permutation-3.3.csproj", "{00282156-589D-424F-9CE4-A8038636C926}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Evolutionary-3.3", "HeuristicLab.Evolutionary\3.3\HeuristicLab.Evolutionary-3.3.csproj", "{25087811-F74C-4128-BC86-8324271DA13E}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Random-3.3", "HeuristicLab.Random\3.3\HeuristicLab.Random-3.3.csproj", "{F4539FB6-4708-40C9-BE64-0A1390AEA197}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection-3.3", "HeuristicLab.Selection\3.3\HeuristicLab.Selection-3.3.csproj", "{2C36CD4F-E5F5-43A4-801A-201EA895FE17}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Charting-3.3", "HeuristicLab.Charting\3.3\HeuristicLab.Charting-3.3.csproj", "{A8265018-D687-4907-8A36-63B25967A038}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Routing.TSP-3.3", "HeuristicLab.Routing.TSP\3.3\HeuristicLab.Routing.TSP-3.3.csproj", "{600287A3-8714-453E-B875-A05F3EB72315}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Charting.Data-3.3", "HeuristicLab.Charting.Data\3.3\HeuristicLab.Charting.Data-3.3.csproj", "{EE956A95-6344-4B01-876F-BE95C5E2F92B}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Logging-3.3", "HeuristicLab.Logging\3.3\HeuristicLab.Logging-3.3.csproj", "{72908B54-D136-4BF2-8474-25AA6CB66C92}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Operators.Programmable-3.3", "HeuristicLab.Operators.Programmable\3.3\HeuristicLab.Operators.Programmable-3.3.csproj", "{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection.OffspringSelection-3.3", "HeuristicLab.Selection.OffspringSelection\3.3\HeuristicLab.Selection.OffspringSelection-3.3.csproj", "{81609E8A-9757-4865-8B89-0B6603F769E8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA-3.3", "HeuristicLab.SGA\3.3\HeuristicLab.SGA-3.3.csproj", "{4C3305C4-E440-4EAD-B218-68D77AE51543}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.TestFunctions-3.3", "HeuristicLab.TestFunctions\3.3\HeuristicLab.TestFunctions-3.3.csproj", "{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ThreadParallelEngine-3.3", "HeuristicLab.ThreadParallelEngine\3.3\HeuristicLab.ThreadParallelEngine-3.3.csproj", "{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab 3.3", "HeuristicLab 3.3\HeuristicLab 3.3.csproj", "{B1DCDECA-B56E-41D5-9850-EF0D3A77DEAF}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Tracing-3.2", "HeuristicLab.Tracing\3.2\HeuristicLab.Tracing-3.2.csproj", "{EE2034D9-6E27-48A1-B855-42D45F69A4FC}"
 EndProject
@@ -95,10 +78,6 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Common.Resources-3.2", "HeuristicLab.Common.Resources\3.2\HeuristicLab.Common.Resources-3.2.csproj", "{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "WinFormsUI", "WinFormsUI\WinFormsUI.csproj", "{C75532C4-765B-418E-B09B-46D36B2ABDB1}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm-3.2", "HeuristicLab.MainForm\3.2\HeuristicLab.MainForm-3.2.csproj", "{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm.Test-3.2", "HeuristicLab.MainForm.Test\3.2\HeuristicLab.MainForm.Test-3.2.csproj", "{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Optimizer-3.3", "HeuristicLab.Optimizer\3.3\HeuristicLab.Optimizer-3.3.csproj", "{C664305E-497C-4533-A140-967DEDB05C19}"
 EndProject
@@ -108,4 +87,18 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Collections-3.3", "HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj", "{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.ExtLibs", "HeuristicLab.ExtLibs", "{07BCBC57-3E15-4582-B306-C046E516C49C}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.WinFormsUI", "HeuristicLab.WinFormsUI", "{7F485A48-A80F-4454-9A9B-7B126B43861C}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.WinFormsUI-2.3.1", "HeuristicLab.WinFormsUI-2.3.1", "{99AD3658-DB36-4E26-B4CC-6FEAACC5C88C}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.WinFormsUI-2.3.1", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1\HeuristicLab.WinFormsUI-2.3.1.csproj", "{678E2145-8152-4E19-9646-07D439D00301}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "WinFormsUI-2.3.1", "HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1\WinFormsUI-2.3.1.csproj", "{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.log4net-1.2.10.0", "HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0\HeuristicLab.log4net-1.2.10.0.csproj", "{1B3063DB-D71C-4A6A-A359-883E8F53A140}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "HeuristicLab.log4net", "HeuristicLab.log4net", "{BA3315A3-9D7C-4F5F-99F4-1C9B88FD32AE}"
 EndProject
 Global
@@ -119,16 +112,4 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x64.ActiveCfg = Debug|x64
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x64.Build.0 = Debug|x64
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x86.ActiveCfg = Debug|x86
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Debug|x86.Build.0 = Debug|x86
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|Any CPU.Build.0 = Release|Any CPU
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x64.ActiveCfg = Release|x64
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x64.Build.0 = Release|x64
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x86.ActiveCfg = Release|x86
-		{623FB817-8371-4A9A-A491-4DECC87B2BBB}.Release|x86.Build.0 = Release|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -143,16 +124,4 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.ActiveCfg = Release|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.Build.0 = Release|x86
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x64.ActiveCfg = Debug|x64
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x64.Build.0 = Debug|x64
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x86.ActiveCfg = Debug|x86
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|x86.Build.0 = Debug|x86
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x64.ActiveCfg = Release|x64
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x64.Build.0 = Release|x64
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x86.ActiveCfg = Release|x86
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Release|x86.Build.0 = Release|x86
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -433,16 +402,4 @@
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|x86.ActiveCfg = Release|x86
 		{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}.Release|x86.Build.0 = Release|x86
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|x64.ActiveCfg = Debug|x64
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|x64.Build.0 = Debug|x64
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|x86.ActiveCfg = Debug|x86
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Debug|x86.Build.0 = Debug|x86
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|x64.ActiveCfg = Release|x64
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|x64.Build.0 = Release|x64
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|x86.ActiveCfg = Release|x86
-		{C75532C4-765B-418E-B09B-46D36B2ABDB1}.Release|x86.Build.0 = Release|x86
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -457,16 +414,4 @@
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}.Release|x86.ActiveCfg = Release|x86
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}.Release|x86.Build.0 = Release|x86
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|x64.ActiveCfg = Debug|x64
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|x64.Build.0 = Debug|x64
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|x86.ActiveCfg = Debug|x86
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Debug|x86.Build.0 = Debug|x86
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|x64.ActiveCfg = Release|x64
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|x64.Build.0 = Release|x64
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|x86.ActiveCfg = Release|x86
-		{569E430B-B4CE-4B94-A44E-6246B6E4E3BC}.Release|x86.Build.0 = Release|x86
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C664305E-497C-4533-A140-967DEDB05C19}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -505,7 +450,51 @@
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|x64.ActiveCfg = Release|Any CPU
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}.Release|x86.ActiveCfg = Release|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x64.ActiveCfg = Debug|x64
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x64.Build.0 = Debug|x64
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x86.ActiveCfg = Debug|x86
+		{678E2145-8152-4E19-9646-07D439D00301}.Debug|x86.Build.0 = Debug|x86
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|Any CPU.Build.0 = Release|Any CPU
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|x64.ActiveCfg = Release|x64
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|x64.Build.0 = Release|x64
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|x86.ActiveCfg = Release|x86
+		{678E2145-8152-4E19-9646-07D439D00301}.Release|x86.Build.0 = Release|x86
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x64.ActiveCfg = Debug|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x64.Build.0 = Debug|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x86.ActiveCfg = Debug|x86
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|x86.Build.0 = Debug|x86
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x64.ActiveCfg = Release|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x64.Build.0 = Release|x64
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x86.ActiveCfg = Release|x86
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x86.Build.0 = Release|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x64.ActiveCfg = Debug|x64
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x64.Build.0 = Debug|x64
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x86.ActiveCfg = Debug|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|x86.Build.0 = Debug|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|Any CPU.Build.0 = Release|Any CPU
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x64.ActiveCfg = Release|x64
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x64.Build.0 = Release|x64
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.ActiveCfg = Release|x86
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
 	EndGlobalSection
+	GlobalSection(NestedProjects) = preSolution
+		{7F485A48-A80F-4454-9A9B-7B126B43861C} = {07BCBC57-3E15-4582-B306-C046E516C49C}
+		{BA3315A3-9D7C-4F5F-99F4-1C9B88FD32AE} = {07BCBC57-3E15-4582-B306-C046E516C49C}
+		{99AD3658-DB36-4E26-B4CC-6FEAACC5C88C} = {7F485A48-A80F-4454-9A9B-7B126B43861C}
+		{678E2145-8152-4E19-9646-07D439D00301} = {99AD3658-DB36-4E26-B4CC-6FEAACC5C88C}
+		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB} = {99AD3658-DB36-4E26-B4CC-6FEAACC5C88C}
+		{1B3063DB-D71C-4A6A-A359-883E8F53A140} = {BA3315A3-9D7C-4F5F-99F4-1C9B88FD32AE}
+	EndGlobalSection
 EndGlobal
Index: trunk/sources/HeuristicLab 3.3/Files.txt
===================================================================
--- trunk/sources/HeuristicLab 3.3/Files.txt	(revision 2655)
+++ trunk/sources/HeuristicLab 3.3/Files.txt	(revision 2656)
@@ -15,5 +15,4 @@
 HeuristicLab.Logging\3.3:HeuristicLab.Logging-3.3.dll 
 HeuristicLab.MainForm\3.2:HeuristicLab.MainForm-3.2.dll 
-HeuristicLab.MainForm.Test\3.2:HeuristicLab.MainForm.Test-3.2.dll 
 HeuristicLab.MainForm.WindowsForms\3.2:HeuristicLab.MainForm.WindowsForms-3.2.dll 
 HeuristicLab.Operators\3.3:HeuristicLab.Operators-3.3.dll 
@@ -32,7 +31,12 @@
 HeuristicLab.ThreadParallelEngine\3.3:HeuristicLab.ThreadParallelEngine-3.3.dll 
 HeuristicLab.Tracing\3.2:HeuristicLab.Tracing-3.2.dll 
-HeuristicLab.Tracing\3.2:log4net.dll 
-HeuristicLab.Tracing\3.2:log4net licence.txt 
 HeuristicLab.Tracing\3.2:HeuristicLab.log4net.xml 
-WinFormsUI:WeifenLuo.WinFormsUI.Docking.dll 
-WinFormsUI:WeifenLuo.WinFormsUI.Docking License.txt 
+
+;External Libraries
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:HeuristicLab.log4net-1.2.10.0.dll
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net.dll 
+HeuristicLab.ExtLibs\HeuristicLab.log4net\1.2.10.0:log4net License.txt 
+
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1:WeifenLuo.WinFormsUI.Docking-2.3.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1:HeuristicLab.WinFormsUI-2.3.1.dll
+HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\HeuristicLab.WinFormsUI-2.3.1:WeifenLuo.WinFormsUI.Docking License.txt
Index: trunk/sources/HeuristicLab.Common/3.2/EnumerableEventArgs.cs
===================================================================
--- trunk/sources/HeuristicLab.Common/3.2/EnumerableEventArgs.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Common/3.2/EnumerableEventArgs.cs	(revision 2656)
@@ -25,4 +25,5 @@
 
 namespace HeuristicLab.Common {
+  [Obsolete("Use generic event args EventArgs<T> instead of EnumberableEventArgs<T>", false)]
   public class EnumerableEventArgs<T> : EventArgs {
     public EnumerableEventArgs(IEnumerable<T> data) {
Index: trunk/sources/HeuristicLab.Common/3.2/NotificationDictionary.cs
===================================================================
--- trunk/sources/HeuristicLab.Common/3.2/NotificationDictionary.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Common/3.2/NotificationDictionary.cs	(revision 2656)
@@ -28,4 +28,5 @@
 
 namespace HeuristicLab.Common {
+  [Obsolete("Use collections of the HeuristicLab.Collections plugin instead", false)]
   public class NotificationDictionary<TKey, TValue> : IDictionary<TKey, TValue> {
     
Index: trunk/sources/HeuristicLab.Common/3.2/ObservableCollection.cs
===================================================================
--- trunk/sources/HeuristicLab.Common/3.2/ObservableCollection.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Common/3.2/ObservableCollection.cs	(revision 2656)
@@ -26,4 +26,5 @@
 
 namespace HeuristicLab.Common {
+  [Obsolete("Use collections of the HeuristicLab.Collections plugin instead", false)]
   public class ObservableCollection<T> : ICollection<T>, INotifyCollectionChanged {
     protected List<T> list;
Index: trunk/sources/HeuristicLab.Common/3.2/ObservableList.cs
===================================================================
--- trunk/sources/HeuristicLab.Common/3.2/ObservableList.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Common/3.2/ObservableList.cs	(revision 2656)
@@ -26,4 +26,5 @@
 
 namespace HeuristicLab.Common {
+  [Obsolete("Use collections of the HeuristicLab.Collections plugin instead", false)]
   public class ObservableList<T> : ObservableCollection<T>, IList<T> {
 
Index: trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 2656)
@@ -32,5 +32,5 @@
     #endregion
 
-    private static Dictionary<IItemView, FileInfo> files;
+    private static Dictionary<IObjectView, FileInfo> files;
     private static NewItemDialog newItemDialog;
     private static OpenFileDialog openFileDialog;
@@ -40,5 +40,5 @@
 
     static FileManager() {
-      files = new Dictionary<IItemView, FileInfo>();
+      files = new Dictionary<IObjectView, FileInfo>();
       newItemDialog = null;
       openFileDialog = null;
@@ -53,5 +53,5 @@
       if (newItemDialog.ShowDialog() == DialogResult.OK) {
         IView view = MainFormManager.CreateDefaultView(newItemDialog.Item);
-        if (view is IItemView) {
+        if (view is IObjectView) {
           view.Caption = "Item" + newDocumentsCounter.ToString() + ".hl";
           newDocumentsCounter++;
@@ -78,10 +78,10 @@
 
     public static void Save() {
-      IItemView activeView = MainFormManager.MainForm.ActiveView as IItemView;
-      if ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Item.GetType()))) {
+      IObjectView activeView = MainFormManager.MainForm.ActiveView as IObjectView;
+      if ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Object.GetType()))) {
         Save(activeView);
       }
     }
-    private static void Save(IItemView view) {
+    private static void Save(IObjectView view) {
       if ((!files.ContainsKey(view)) || (!File.Exists(files[view].Filename))) {
         SaveAs(view);
@@ -95,10 +95,10 @@
 
     public static void SaveAs() {
-      IItemView activeView = MainFormManager.MainForm.ActiveView as IItemView;
-      if ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Item.GetType()))) {
+      IObjectView activeView = MainFormManager.MainForm.ActiveView as IObjectView;
+      if ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Object.GetType()))) {
         SaveAs(activeView);
       }
     }
-    public static void SaveAs(IItemView view) {
+    public static void SaveAs(IObjectView view) {
       if (saveFileDialog == null) {
         saveFileDialog = new SaveFileDialog();
@@ -131,9 +131,9 @@
     public static void SaveAll() {
       var views = from v in MainFormManager.MainForm.Views
-                  where v is IItemView
-                  where CreatableAttribute.IsCreatable(((IItemView)v).Item.GetType())
-                  select v as IItemView;
-
-      foreach (IItemView view in views) {
+                  where v is IObjectView
+                  where CreatableAttribute.IsCreatable(((IObjectView)v).Object.GetType())
+                  select v as IObjectView;
+
+      foreach (IObjectView view in views) {
         Save(view);
       }
@@ -142,6 +142,6 @@
     // NOTE: This event is fired by the main form. It is registered in HeuristicLabOptimizerApplication.
     internal static void ViewClosed(object sender, ViewEventArgs e) {
-      IItemView view = e.View as IItemView;
-      files.Remove(view);
+      IObjectView view = e.View as IObjectView;
+      if (view != null) files.Remove(view);
     }
 
@@ -155,5 +155,5 @@
     }
 
-    private static void SaveItemAsync(IItemView view, string filename, int compression) {
+    private static void SaveItemAsync(IObjectView view, string filename, int compression) {
       ThreadPool.QueueUserWorkItem(
         new WaitCallback(
@@ -162,5 +162,5 @@
               DisableView(view);
               SetWaitingCursor();
-              XmlGenerator.Serialize(view.Item, filename, compression);
+              XmlGenerator.Serialize(view.Object, filename, compression);
               Invoke(delegate() {
                 view.Caption = Path.GetFileName(filename);
@@ -187,5 +187,5 @@
               IItem item = (IItem)XmlParser.Deserialize(filename);
               Invoke(delegate() {
-                IItemView view = MainFormManager.CreateDefaultView(item) as IItemView;
+                IObjectView view = MainFormManager.CreateDefaultView(item) as IObjectView;
                 if (view != null) {
                   view.Caption = Path.GetFileName(filename);
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 2656)
@@ -54,4 +54,5 @@
     <Compile Include="MenuItems\CloseMenuItem.cs" />
     <Compile Include="MenuItems\CloseAllMenuItem.cs" />
+    <Compile Include="MenuItems\OperatorsMenuItem.cs" />
     <Compile Include="MenuItems\SaveAllMenuItem.cs" />
     <Compile Include="MenuItems\SaveAsMenuItem.cs" />
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerApplication.cs	(revision 2656)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Optimizer {
-  [ClassInfo(Name = "Optimizer 3.3", Description="Next generation heuristic optimization environment.")]
+  [Application("Optimizer 3.3", "Next generation heuristic optimization environment.")]
   internal class HeuristicLabOptimizerApplication : ApplicationBase {
     public override void Run() {
Index: trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/HeuristicLabOptimizerPlugin.cs	(revision 2656)
@@ -26,12 +26,12 @@
 
 namespace HeuristicLab.Optimizer {
-  [ClassInfo(Name = "HeuristicLab.Optimizer-3.3")]
-  [PluginFile(Filename = "HeuristicLab.Optimizer-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Persistence-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Common.Resources-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Core.Views-3.3")]
-  [Dependency(Dependency = "HeuristicLab.MainForm-3.2")]
-  [Dependency(Dependency = "HeuristicLab.MainForm.WindowsForms-3.2")]
+  [Plugin("HeuristicLab.Optimizer-3.3")]
+  [PluginFile("HeuristicLab.Optimizer-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Persistence-3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources-3.2")]
+  [PluginDependency("HeuristicLab.Core-3.3")]
+  [PluginDependency("HeuristicLab.Core.Views-3.3")]
+  [PluginDependency("HeuristicLab.MainForm-3.2")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms-3.2")]
   public class HeuristicLabOptimizerPlugin : PluginBase {
   }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 2656)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/OperatorsMenuItem.cs	(revision 2656)
@@ -0,0 +1,60 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Drawing;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Common.Resources;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  internal class OperatorsMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItemBase, IOptimizerUserInterfaceItemProvider {
+    private OperatorsSidebar view;
+    private ToolStripMenuItem menuItem;
+
+    public override string Name {
+      get { return "&Operators"; }
+    }
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&View" }; }
+    }
+    public override int Position {
+      get { return 2100; }
+    }
+    public override ToolStripItemDisplayStyle ToolStripItemDisplayStyle {
+      get { return ToolStripItemDisplayStyle.Text; }
+    }
+
+    public override void MainFormInitialized(object sender, EventArgs e) {
+      view = new OperatorsSidebar();
+      view.Dock = DockStyle.Left;
+      MainFormManager.MainForm.ViewHidden += new EventHandler<ViewEventArgs>(MainForm_ViewHidden);
+
+      menuItem = ToolStripItem as ToolStripMenuItem;
+      if (menuItem != null) {
+        menuItem.Checked = true;
+        menuItem.CheckOnClick = true;
+      }
+      MainFormManager.MainForm.ShowView(view);
+    }
+
+    private void MainForm_ViewHidden(object sender, ViewEventArgs e) {
+      if ((e.View == view) && (menuItem != null))
+        menuItem.Checked = false;
+    }
+
+    public override void Execute() {
+      if (menuItem != null) {
+        if (menuItem.Checked)
+          MainFormManager.MainForm.ShowView(view);
+        else
+          MainFormManager.MainForm.HideView(view);
+      } else {
+        MainFormManager.MainForm.ShowView(view);
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAllMenuItem.cs	(revision 2656)
@@ -34,6 +34,6 @@
     public override void ActiveViewChanged(object sender, EventArgs e) {
       var views = from v in MainFormManager.MainForm.Views
-                  where v is IItemView
-                  where CreatableAttribute.IsCreatable(((IItemView)v).Item.GetType())
+                  where v is IObjectView
+                  where CreatableAttribute.IsCreatable(((IObjectView)v).Object.GetType())
                   select v;
       ToolStripItem.Enabled = views.FirstOrDefault() != null;
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveAsMenuItem.cs	(revision 2656)
@@ -33,6 +33,6 @@
     }
     public override void ActiveViewChanged(object sender, EventArgs e) {
-      IItemView activeView = MainFormManager.MainForm.ActiveView as IItemView;
-      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Item.GetType())));
+      IObjectView activeView = MainFormManager.MainForm.ActiveView as IObjectView;
+      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Object.GetType())));
     }
 
Index: trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/MenuItems/SaveMenuItem.cs	(revision 2656)
@@ -36,6 +36,6 @@
     }
     public override void ActiveViewChanged(object sender, EventArgs e) {
-      IItemView activeView = MainFormManager.MainForm.ActiveView as IItemView;
-      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Item.GetType())));
+      IObjectView activeView = MainFormManager.MainForm.ActiveView as IObjectView;
+      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Object.GetType())));
     }
 
Index: trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/NewItemDialog.cs	(revision 2656)
@@ -32,6 +32,5 @@
         SetListViewDisplayStyleCheckBoxes();
 
-        DiscoveryService ds = new DiscoveryService();
-        var categories = from t in ds.GetTypes(typeof(IItem))
+        var categories = from t in ApplicationManager.Manager.GetTypes(typeof(IItem))
                          where CreatableAttribute.IsCreatable(t)
                          orderby CreatableAttribute.GetCategory(t), ItemAttribute.GetName(t) ascending
@@ -46,6 +45,6 @@
             IItem i = (IItem)Activator.CreateInstance(creatable);
             items.Add(i);
-            ListViewItem item = new ListViewItem(new string[] { i.Name, i.Description}, group);
-            itemsListView.SmallImageList.Images.Add(i.Image);
+            ListViewItem item = new ListViewItem(new string[] { i.ItemName, i.ItemDescription}, group);
+            itemsListView.SmallImageList.Images.Add(i.ItemImage);
             item.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
             item.Tag = i;
Index: trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.Designer.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/OptimizerMainForm.Designer.cs	(revision 2656)
@@ -30,5 +30,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(784, 564);
+      this.ClientSize = new System.Drawing.Size(984, 714);
       this.Name = "OptimizerMainForm";
       this.Text = "HeuristicLab Optimizer";
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveAllToolBarItem.cs	(revision 2656)
@@ -31,6 +31,6 @@
     public override void ActiveViewChanged(object sender, EventArgs e) {
       var views = from v in MainFormManager.MainForm.Views
-                  where v is IItemView
-                  where CreatableAttribute.IsCreatable(((IItemView)v).Item.GetType())
+                  where v is IObjectView
+                  where CreatableAttribute.IsCreatable(((IObjectView)v).Object.GetType())
                   select v;
       ToolStripItem.Enabled = views.FirstOrDefault() != null;
Index: trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/ToolBarItems/SaveToolBarItem.cs	(revision 2656)
@@ -30,6 +30,6 @@
     }
     public override void ActiveViewChanged(object sender, EventArgs e) {
-      IItemView activeView = MainFormManager.MainForm.ActiveView as IItemView;
-      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Item.GetType())));
+      IObjectView activeView = MainFormManager.MainForm.ActiveView as IObjectView;
+      ToolStripItem.Enabled = ((activeView != null) && (CreatableAttribute.IsCreatable(activeView.Object.GetType())));
     }
 
Index: trunk/sources/HeuristicLab.Persistence.GUI/3.3/HeuristicLabPersistenceGUIPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence.GUI/3.3/HeuristicLabPersistenceGUIPlugin.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Persistence.GUI/3.3/HeuristicLabPersistenceGUIPlugin.cs	(revision 2656)
@@ -4,11 +4,11 @@
 namespace HeuristicLab.Persistence.GUI {
 
-  [ClassInfo(Name = "HeuristicLab.Persistence.GUI-3.3")]
-  [PluginFile(Filename = "HeuristicLab.Persistence.GUI-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Persistence-3.3")]
+  [Plugin("HeuristicLab.Persistence.GUI-3.3")]
+  [PluginFile("HeuristicLab.Persistence.GUI-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Persistence-3.3")]
   public class HeuristicLabPersistencePlugin : PluginBase { }
 
 
-  [ClassInfo(Name = "Persistence Configuration")]
+  [Application("Persistence Configuration")]
   public class HeuristicLabPersistenceApplication : ApplicationBase {
     public override void Run() {
Index: trunk/sources/HeuristicLab.Persistence.GUI/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.Persistence.GUI/3.3/Properties/AssemblyInfo.frame	(revision 2655)
+++ trunk/sources/HeuristicLab.Persistence.GUI/3.3/Properties/AssemblyInfo.frame	(revision 2656)
@@ -23,4 +23,5 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -53,2 +54,3 @@
 [assembly: AssemblyVersion("3.3.0.$WCREV$")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLabPersistencePlugin.cs	(revision 2656)
@@ -3,7 +3,7 @@
 namespace HeuristicLab.Persistence {
 
-  [ClassInfo(Name = "HeuristicLab.Persistence-3.3")]
-  [PluginFile(Filename = "HeuristicLab.Persistence-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Tracing-3.2")]
+  [Plugin("HeuristicLab.Persistence-3.3")]
+  [PluginFile("HeuristicLab.Persistence-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Tracing-3.2")]
   public class HeuristicLabPersistencePlugin : PluginBase { }
 
Index: trunk/sources/HeuristicLab.Persistence/3.3/Properties/AssemblyInfo.frame
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Properties/AssemblyInfo.frame	(revision 2655)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Properties/AssemblyInfo.frame	(revision 2656)
@@ -23,4 +23,5 @@
 using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
 
 // General Information about an assembly is controlled through the following 
@@ -53,2 +54,3 @@
 [assembly: AssemblyVersion("3.3.0.$WCREV$")]
 [assembly: AssemblyFileVersion("3.3.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj	(revision 2655)
+++ trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLab.SequentialEngine-3.3.csproj	(revision 2656)
@@ -78,6 +78,4 @@
     </Reference>
     <Reference Include="System.Data" />
-    <Reference Include="System.Drawing" />
-    <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml" />
   </ItemGroup>
@@ -86,10 +84,4 @@
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="SequentialEngine.cs" />
-    <Compile Include="SequentialEngineView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="SequentialEngineView.Designer.cs">
-      <DependentUpon>SequentialEngineView.cs</DependentUpon>
-    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -98,19 +90,7 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
-      <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
-      <Name>HeuristicLab.Core.Views-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
       <Name>HeuristicLab.Core-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.2\HeuristicLab.MainForm.WindowsForms-3.2.csproj">
-      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
-      <Name>HeuristicLab.MainForm.WindowsForms-3.2</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.MainForm\3.2\HeuristicLab.MainForm-3.2.csproj">
-      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
-      <Name>HeuristicLab.MainForm-3.2</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
Index: trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.SequentialEngine/3.3/HeuristicLabSequentialEnginePlugin.cs	(revision 2656)
@@ -29,10 +29,8 @@
   /// Plugin class for HeuristicLab.SequentialEngine plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.SequentialEngine-3.3")]
-  [PluginFile(Filename = "HeuristicLab.SequentialEngine-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.3")]
-  [Dependency(Dependency = "HeuristicLab.Core.Views-3.3")]
-  [Dependency(Dependency = "HeuristicLab.MainForm-3.2")]
-  [Dependency(Dependency = "HeuristicLab.MainForm.WindowsForms-3.2")]
+  [Plugin("HeuristicLab.SequentialEngine-3.3")]
+  [PluginFile("HeuristicLab.SequentialEngine-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Persistence-3.3")]
+  [PluginDependency("HeuristicLab.Core-3.3")]
   public class HeuristicLabSequentialEnginePlugin : PluginBase {
   }
Index: trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs
===================================================================
--- trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 2655)
+++ trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngine.cs	(revision 2656)
@@ -24,5 +24,4 @@
 using System.Text;
 using HeuristicLab.Core;
-using System.Threading;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -43,6 +42,6 @@
     /// <remarks>Calls <see cref="EngineBase.Abort"/> of base class <see cref="EngineBase"/> and
     /// <see cref="IOperator.Abort"/> of the current <see cref="IOperator"/>.</remarks>
-    public override void Abort() {
-      base.Abort();
+    public override void Stop() {
+      base.Stop();
       if (currentOperator != null)
         currentOperator.Abort();
@@ -56,28 +55,24 @@
     /// is pushed on the stack again.<br/>
     /// If the execution was successful <see cref="EngineBase.OnOperationExecuted"/> is called.</remarks>
-    protected override void ProcessNextOperation() {
-      IOperation operation = myExecutionStack.Pop();
-      if (operation is AtomicOperation) {
-        AtomicOperation atomicOperation = (AtomicOperation)operation;
-        IOperation next = null;
-        try {
-          currentOperator = atomicOperation.Operator;
-          next = atomicOperation.Operator.Execute(atomicOperation.Scope);
-        }
-        catch (Exception ex) {
-          // push operation on stack again
-          myExecutionStack.Push(atomicOperation);
-          Abort();
-          ThreadPool.QueueUserWorkItem(delegate(object state) { OnExceptionOccurred(ex);});
-        }
-        if (next != null)
-          myExecutionStack.Push(next);
-        OnOperationExecuted(atomicOperation);
-        if (atomicOperation.Operator.Breakpoint) Abort();
-      } else if (operation is CompositeOperation) {
-        CompositeOperation compositeOperation = (CompositeOperation)operation;
-        for (int i = compositeOperation.Operations.Count - 1; i >= 0; i--)
-          myExecutionStack.Push(compositeOperation.Operations[i]);
+    protected override void ProcessNextOperator() {
+      currentOperator = null;
+      ExecutionContext context = ExecutionStack.Pop();
+      ExecutionContextCollection next = null;
+      try {
+        currentOperator = context.Operator;
+        next = context.Operator.Execute(context);
+        currentOperator = null;
       }
+      catch (Exception ex) {
+        ExecutionStack.Push(context);
+        Stop();
+        OnExceptionOccurred(ex);
+      }
+      if (next != null) {
+        for (int i = next.Count - 1; i >= 0; i--)
+          ExecutionStack.Push(next[i]);
+      }
+      if (context.Operator.Breakpoint)
+        Stop();
     }
   }
Index: trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngineView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngineView.Designer.cs	(revision 2655)
+++ 	(revision )
@@ -1,91 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.SequentialEngine {
-  partial class SequentialEngineView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.splitContainer1.Panel1.SuspendLayout();
-      this.splitContainer1.Panel2.SuspendLayout();
-      this.splitContainer1.SuspendLayout();
-      this.operatorGraphGroupBox.SuspendLayout();
-      this.globalScopeGroupBox.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // splitContainer1
-      // 
-      this.splitContainer1.SplitterDistance = 495;
-      // 
-      // operatorGraphGroupBox
-      // 
-      this.operatorGraphGroupBox.Size = new System.Drawing.Size(495, 441);
-      // 
-      // globalScopeGroupBox
-      // 
-      this.globalScopeGroupBox.Size = new System.Drawing.Size(141, 441);
-      // 
-      // operatorGraphView
-      // 
-      this.operatorGraphView.Size = new System.Drawing.Size(489, 422);
-      // 
-      // scopeView
-      // 
-      this.scopeView.Size = new System.Drawing.Size(135, 422);
-      // 
-      // SequentialEngineEditor
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "SequentialEngineEditor";
-      this.splitContainer1.Panel1.ResumeLayout(false);
-      this.splitContainer1.Panel2.ResumeLayout(false);
-      this.splitContainer1.ResumeLayout(false);
-      this.operatorGraphGroupBox.ResumeLayout(false);
-      this.globalScopeGroupBox.ResumeLayout(false);
-      this.ResumeLayout(false);
-      this.PerformLayout();
-
-    }
-
-    #endregion
-  }
-}
Index: trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngineView.cs
===================================================================
--- trunk/sources/HeuristicLab.SequentialEngine/3.3/SequentialEngineView.cs	(revision 2655)
+++ 	(revision )
@@ -1,65 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-
-namespace HeuristicLab.SequentialEngine {
-  /// <summary>
-  /// Visual representation of a <see cref="SequentialEngine"/>.
-  /// </summary>
-  [Content(typeof(SequentialEngine), true)]
-  public partial class SequentialEngineView : EngineBaseView {
-    /// <summary>
-    /// Gets or set the engine to represent visually.
-    /// </summary>
-    /// <remarks>Uses property <see cref="EngineBaseEditor.Engine"/> of base class 
-    /// <see cref="EngineBaseEditor"/>. No own data storage present.</remarks>
-    public SequentialEngine SequentialEngine {
-      get { return (SequentialEngine)Engine; }
-      set { base.Engine = value; }
-    }
-
-    /// <summary>
-    /// Initializes a new instance of <see cref="SequentialEngineEditor"/>.
-    /// </summary>
-    public SequentialEngineView() {
-      InitializeComponent();
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="SequentialEngineEditor"/> with the given
-    /// <paramref name="sequentialEngine"/>.
-    /// </summary>
-    /// <param name="sequentialEngine">The engine to display.</param>
-    public SequentialEngineView(SequentialEngine sequentialEngine)
-      : this() {
-      SequentialEngine = sequentialEngine;
-    }
-  }
-}
